<?php
namespace Modules\GlobalApplication\Rules;

use Psr\Http\Message\ServerRequestInterface;

// @phpcs:ignore
class DocumentRattache
{
    /** @var ServerRequestInterFace $request */
    protected ServerRequestInterface $request;
    
    /** @var \PDO $pdo */
    protected \PDO $pdo;
    
    public function __construct(ServerRequestInterface $request, \PDO $pdo)
    {
        $this->request  = $request;
        $this->pdo      = $pdo;
    }


    /**
     * @return bool
     */
    public function document(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function envoiMail(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function duplicate(): bool
    {
        return true;
    }
}
